commit:     8ef0f152a919c92245d5947a97c67546c3f68a76
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 29 19:28:39 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Dec 29 22:32:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ef0f152

app-admin/aws-elb-tools: [QA] Minor touchups

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../aws-elb-tools/aws-elb-tools-1.0.15.1-r1.ebuild | 31 +++++++++++-----------
 1 file changed, 16 insertions(+), 15 deletions(-)

diff --git a/app-admin/aws-elb-tools/aws-elb-tools-1.0.15.1-r1.ebuild 
b/app-admin/aws-elb-tools/aws-elb-tools-1.0.15.1-r1.ebuild
index c1738a3ffad..7b678445606 100644
--- a/app-admin/aws-elb-tools/aws-elb-tools-1.0.15.1-r1.ebuild
+++ b/app-admin/aws-elb-tools/aws-elb-tools-1.0.15.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -7,15 +7,16 @@ DESCRIPTION="Serves as the client interface to the Elastic 
Load Balancing web se
 HOMEPAGE="http://aws.amazon.com/developertools/Amazon-EC2/2536";
 SRC_URI="mirror://sabayon/${CATEGORY}/ElasticLoadBalancing-${PV}.zip"
 
-S="${WORKDIR}/ElasticLoadBalancing-${PV}"
-
 LICENSE="Amazon"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
+RESTRICT="mirror"
+
 DEPEND="app-arch/unzip"
 RDEPEND="virtual/jre"
-RESTRICT="mirror"
+
+S="${WORKDIR}/ElasticLoadBalancing-${PV}"
 
 src_prepare() {
        default
@@ -23,27 +24,27 @@ src_prepare() {
 }
 
 src_install() {
-       dodir /opt/${PN}
        insinto /opt/${PN}/lib
-       doins -r "${S}"/lib/*
+       doins -r lib/.
+
        exeinto /opt/${PN}/bin
-       doexe "${S}"/bin/*
-
-       dodir /etc/env.d
-       cat - > "${T}"/99${PN} <<EOF
-AWS_ELB_HOME=/opt/${PN}
-PATH=/opt/${PN}/bin
-ROOTPATH=/opt/${PN}/bin
-EOF
+       doexe bin/*
+
+       cat > "${T}"/99${PN} <<- EOF || die
+               AWS_ELB_HOME=/opt/${PN}
+               PATH=/opt/${PN}/bin
+               ROOTPATH=/opt/${PN}/bin
+       EOF
        doenvd "${T}"/99${PN}
 
-       dodoc "THIRDPARTYLICENSE.TXT"
+       dodoc THIRDPARTYLICENSE.TXT
 }
 
 pkg_postinst() {
        ewarn "Remember to run: env-update && source /etc/profile if you plan"
        ewarn "to use these tools in a shell before logging out (or restarting"
        ewarn "your login manager)"
+
        elog
        elog "You need to put the following in your ~/.bashrc replacing the"
        elog "values with the full path to your AWS credentials file."

Reply via email to